# Class TrinoDriverUri

java.lang.Object
io.trino.client.uri.TrinoUri
io.trino.jdbc.TrinoDriverUri

public final class TrinoDriverUri extends io.trino.client.uri.TrinoUri
Parses and extracts parameters from a Trino JDBC URL.

## Nested Class Summary

### Nested classes/interfaces inherited from class io.trino.client.uri.TrinoUri

`io.trino.client.uri.TrinoUri.Builder`

## Field Summary

### Fields inherited from class io.trino.client.uri.TrinoUri

`DEFAULT_INSECURE_PORT, DEFAULT_SECURE_PORT`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`acceptsURL(String url)`
`static DriverPropertyInfo[]`
`getPropertyInfo(String url, Properties info)`

### Methods inherited from class io.trino.client.uri.TrinoUri

`allProperties, builder, builder, create, create, getAccessToken, getApplicationNamePrefix, getAssumeNullCatalogMeansCurrentCatalog, getCatalog, getClientInfo, getClientTags, getDnsResolver, getDnsResolverContext, getEncoding, getExplicitPrepare, getExternalAuthenticationTimeout, getExternalAuthenticationTokenCache, getExternalRedirectStrategies, getExtraCredentials, getExtraHeaders, getHostnameInCertificate, getHttpLoggingLevel, getHttpProxy, getHttpUri, getKerberosConfigPath, getKerberosConstrainedDelegation, getKerberosCredentialCachePath, getKerberosDelegation, getKerberosKeytabPath, getKerberosPrincipal, getKerberosRemoteServiceName, getLocale, getPassword, getPath, getProperties, getRedirectHandler, getRequiredKerberosRemoteServiceName, getRequiredKerberosServicePrincipalPattern, getRequiredKerberosUseCanonicalHostname, getRequiredUser, getRoles, getSchema, getSessionProperties, getSessionUser, getSocksProxy, getSource, getSSL, getSslKeyStorePassword, getSslKeyStorePath, getSslKeyStoreType, getSslTrustStorePassword, getSslTrustStorePath, getSslTrustStoreType, getSslUseSystemKeyStore, getSslUseSystemTrustStore, getSslVerification, getTimeout, getTimeZone, getTraceToken, getUri, getUser, hasPassword, isAssumeLiteralNamesInMetadataCallsForNonConformingClients, isAssumeLiteralUnderscoreInMetadataCallsForNonConformingClients, isCompressionDisabled, isExternalAuthenticationEnabled, isLocalRedirectDisallowed, isSecureConnection, isUseSecureConnection, isValidateConnection, setRedirectHandler, toClientSessionBuilder`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### acceptsURL

public static boolean acceptsURL(String url)

### getPropertyInfo

public static DriverPropertyInfo[] getPropertyInfo(String url, Properties info)